
local STRINGS = GLOBAL.STRINGS
local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH
Vector3 = GLOBAL.Vector3

PrefabFiles = {
	"pipi",  --人物代码文件
	"pipi_none",  --人物皮肤
	"pipi_np",
	"pipi_ycb",
	"pipi_glass",
	"pipi_bag",
	"milkup",
	"milkexp",
	"npfx",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/pipi.tex" ), --存档图片
    Asset( "ATLAS", "images/saveslot_portraits/pipi.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/pipi.tex" ), --单机选人界面
    Asset( "ATLAS", "images/selectscreen_portraits/pipi.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/pipi_silho.tex" ), --单机未解锁界面
    Asset( "ATLAS", "images/selectscreen_portraits/pipi_silho.xml" ),

    Asset( "IMAGE", "bigportraits/pipi.tex" ), --人物大图（方形的那个）
    Asset( "ATLAS", "bigportraits/pipi.xml" ),
	
	Asset( "IMAGE", "images/map_icons/pipi.tex" ), --小地图
	Asset( "ATLAS", "images/map_icons/pipi.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_pipi.tex" ), --tab键人物列表显示的头像
    Asset( "ATLAS", "images/avatars/avatar_pipi.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_pipi.tex" ),--tab键人物列表显示的头像（死亡）
    Asset( "ATLAS", "images/avatars/avatar_ghost_pipi.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_pipi.tex" ), --人物检查按钮的图片
    Asset( "ATLAS", "images/avatars/self_inspect_pipi.xml" ),
	
	Asset( "IMAGE", "images/names_pipi.tex" ),  --人物名字
    Asset( "ATLAS", "images/names_pipi.xml" ),
	
    Asset( "IMAGE", "bigportraits/pipi_none.tex" ),  --人物大图（椭圆的那个）
    Asset( "ATLAS", "bigportraits/pipi_none.xml" ),

    Asset( "IMAGE", "images/inventoryimages/pipi_np.tex" ), 
    Asset( "ATLAS", "images/inventoryimages/pipi_np.xml" ),
    Asset( "IMAGE", "images/inventoryimages/pipi_ycb.tex" ),
    Asset( "ATLAS", "images/inventoryimages/pipi_ycb.xml" ),
    Asset( "IMAGE", "images/inventoryimages/pipi_glass.tex" ),
    Asset( "ATLAS", "images/inventoryimages/pipi_glass.xml" ),
	Asset( "IMAGE", "images/inventoryimages/pipi_bag.tex" ),
    Asset( "ATLAS", "images/inventoryimages/pipi_bag.xml" ),
		Asset( "IMAGE", "images/pipi_bagbg.tex" ),
    Asset( "ATLAS", "images/pipi_bagbg.xml" ),
    Asset( "IMAGE", "images/hud/pipitab.tex" ),
    Asset( "ATLAS", "images/hud/pipitab.xml" ),

}



STRINGS.CHARACTER_TITLES.pipi = "皮麻麻最爱的小皮皮"
STRINGS.CHARACTER_NAMES.pipi = "皮皮"
STRINGS.CHARACTER_DESCRIPTIONS.pipi = "♥自带奶瓶和单马尾发圈\n♥给牛挤奶喝奶成长\n♥初始三围90/90/90"
STRINGS.CHARACTER_QUOTES.pipi = "亲亲抱抱举高高"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.pipi = 
{
	GENERIC = "？？？",
	ATTACKER = "呜啊！",
	MURDERER = "啊嘞!",
	REVIVER = "呃呃呃?!",
	GHOST = "呜~~麻麻",
}


STRINGS.NAMES.pipi = "皮皮"
AddMinimapAtlas("images/map_icons/pipi.xml") 
AddModCharacter("pipi", "FEMALE") 

local PIPITAB = AddRecipeTab("萌货", 999, "images/hud/pipitab.xml", "pipitab.tex", nil, false)
	
	

	AddRecipe("pipi_np", {Ingredient("rocks", 4),Ingredient("papyrus", 2), Ingredient("glommerfuel", 2)},
	PIPITAB, TECH.SCIENCE,nil, nil, nil, nil,"pipi_builder" ,"images/inventoryimages/pipi_np.xml","pipi_np.tex")	
	AddRecipe("pipi_ycb", {Ingredient("rope", 4),Ingredient("silk", 6), Ingredient("glommerfuel", 2)},
	PIPITAB, TECH.SCIENCE,nil, nil, nil, nil,"pipi_builder" ,"images/inventoryimages/pipi_ycb.xml","pipi_ycb.tex")	
	AddRecipe("pipi_glass", {Ingredient("ice", 4),Ingredient("marble", 6), Ingredient("glommerfuel", 2)},
	PIPITAB, TECH.SCIENCE,nil, nil, nil, nil,"pipi_builder" ,"images/inventoryimages/pipi_glass.xml","pipi_glass.tex")
	AddRecipe("pipi_bag", {Ingredient("honeycomb", 4),Ingredient("pigskin", 6), Ingredient("glommerfuel", 3)},
	PIPITAB, TECH.SCIENCE,nil, nil, nil, nil,"pipi_builder" ,"images/inventoryimages/pipi_bag.xml","pipi_bag.tex")
STRINGS.NAMES.PIPI_NP = "皮皮奶瓶"
STRINGS.RECIPE_DESC.PIPI_NP = "奶瓶击杀1000血量以上生物可以获得存奶量"
STRINGS.NAMES.PIPI_YCB= "皮皮洋葱辫"
STRINGS.RECIPE_DESC.PIPI_YCB = "右键使用'躲猫猫',给予5个金子'收果',防雨"
STRINGS.NAMES.PIPI_GLASS= "皮皮眼镜"
STRINGS.RECIPE_DESC.PIPI_GLASS = "可以发光的小眼镜，回精神"
STRINGS.NAMES.PIPI_BAG= "皮皮背包"
STRINGS.RECIPE_DESC.PIPI_BAG = "需要保护好小脑袋,保鲜食物走多远走不怕"


local containers = require("containers")
local widgetsetup_Base = containers.widgetsetup or function () return true end

local containers = GLOBAL.require "containers"

local params = {}

params.pipi_bag =
{
widget =
{
slotpos = {},
animbank = nil,
animbuild = nil,
bgatlas = "images/pipi_bagbg.xml",
bgimage = "pipi_bagbg.tex",
pos = Vector3(-100,-120,0),
},
issidewidget = true,
type = "pack",
}

for y = 0, 3 do
	
	table.insert(params.pipi_bag.widget.slotpos, Vector3(0  -75, -y*72 + 120 , 0))	--New 3rd col
	table.insert(params.pipi_bag.widget.slotpos, Vector3(0     , -y*72 + 120 ,0))	--2nd col
	table.insert(params.pipi_bag.widget.slotpos, Vector3(0  +75, -y*72 + 120 ,0))	--1st col at screen edge
	
end



function params.pipi_bag.itemtestfn(container, item, slot)
	if item:HasTag("pipi_bag") then
		return false
	end
	return true
end


containers.MAXITEMSLOTS = math.max(containers.MAXITEMSLOTS, params.pipi_bag.widget.slotpos ~= nil and #params.pipi_bag.widget.slotpos or 0)

local containers_widgetsetup = containers.widgetsetup

function containers.widgetsetup(container, prefab, data)
	local t = data or params[prefab or container.inst.prefab]
	if t ~= nil then
		for k, v in pairs(t) do
			container[k] = v
		end
		container:SetNumSlots(container.widget.slotpos ~= nil and #container.widget.slotpos or 0)
	end
end

function containers.widgetsetup(container, prefab, data)
	local t = prefab or container.inst.prefab
	if t == "pipi_bag" then
		local t = params[t]
		if t ~= nil then
			for k, v in pairs(t) do
				container[k] = v
			end
			container:SetNumSlots(container.widget.slotpos ~= nil and #container.widget.slotpos or 0)
		end
	else
		return containers_widgetsetup(container, prefab)
	end
end


