local assets =
{
    Asset("ANIM", "anim/milkup.zip"),
  
}



local function fn()

    local inst = CreateEntity()
    inst:AddTag("FX")
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()
    inst.entity:AddNetwork()

    MakeInventoryPhysics(inst)
    RemovePhysicsColliders(inst)

    inst.Transform:SetFourFaced()

    inst.AnimState:SetBank("milkup")
    inst.AnimState:SetBuild("milkup")
    inst.AnimState:PlayAnimation("idle")
 
    inst.entity:SetPristine()

    if not TheWorld.ismastersim then
        return inst
    end

    inst.persists = false

   

    return inst
end


return Prefab("milkup", fn, assets)